Bug 318631 - Rebase Evolution-Data-Server for RHEL 5.2
Rebase Evolution-Data-Server for RHEL 5.2
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: evolution-data-server (Show other bugs)
5.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Matthew Barnes
desktop-bugs@redhat.com
:
Depends On:
Blocks: 358931 358941 358951 358961 358971 358981 358991
  Show dependency treegraph
 
Reported: 2007-10-04 12:01 EDT by Matthew Barnes
Modified: 2008-05-21 11:18 EDT (History)
0 users

See Also:
Fixed In Version: RHBA-2008-0361
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 11:18:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Barnes 2007-10-04 12:01:23 EDT
This bug is for tracking the rebasing of Evolution-Data-Server in RHEL 5.2.

   Name                   RHEL 5.0  RHEL 5.2
   ---------------------  --------  --------
   evolution-data-server    1.8.0    1.12.x

I plan to fork the rebased package from Fedora 8.  Not sure yet which micro
version I'll be locking RHEL5 on (the higher the better -- more bugfixes).
Comment 1 Matthew Barnes 2007-10-04 12:06:14 EDT
See also bug #318591, bug #318641 and bug #318651.
Comment 2 RHEL Product and Program Management 2007-10-19 16:25:26 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Matthew Barnes 2007-10-30 15:54:16 EDT
Several other packages will need to be rebuilt to use the newer E-D-S libraries.
I've filed a bug for each of them:

   Bug #358931 - gnome-panel
   Bug #358941 - nautilus-sendto
   Bug #358951 - evolution-webcal
   Bug #358961 - control-center
   Bug #358971 - ekiga
   Bug #358981 - bug-buddy
   Bug #358991 - pidgin
Comment 5 Matthew Barnes 2007-11-13 15:03:09 EST
Initial rebase complete.  Will update to 1.12.2 in a couple weeks.

evolution-data-server-1.12.1-4.el5
Comment 6 Matthew Barnes 2007-11-26 19:09:22 EST
Updated to Evolution-Data-Server 1.12.2 today.
Comment 7 Matthew Barnes 2007-12-12 11:45:27 EST
(In reply to comment #4)
> Several other packages will need to be rebuilt to use the newer E-D-S libraries.

For the record, we found a way to perserve the ABIs from RHEL 5.1 so no rebuilds
are necessary.  Those bugs have been closed.
Comment 8 Matthew Barnes 2008-01-07 12:19:22 EST
Updated to Evolution-Data-Server 1.12.3 today.

This is the last stable update from upstream.
Comment 11 errata-xmlrpc 2008-05-21 11:18:50 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0361.html

Note You need to log in before you can comment on or make changes to this bug.